
Name:           startactive
Summary:        An alternative Plasma session start script
Version:        0.3
Release:        7%{?dist}

License:        GPLv2+
URL:            http://community.kde.org/Plasma/Active/Contour
Source0:        http://download.kde.org/stable/active/3.0/src/%{name}-%{version}.tar.xz
Source1:        plasma-active.desktop

# Fix path to libexec binaries
Patch1: startactive-0.3-libexec_path.patch 

BuildRequires:  kdelibs4-devel

# pretty sure this is a minimal requirement, probably more -- rex
Requires: plasma-mobile


%description
An alternative Plasma session start script, with 
limited scope to fit Plasma Active session needs.

Startactive is part of Plasma Active project.


%prep
%setup -q

%patch1 -p1 -b .libexec_path


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

install -p -m644 -D %{SOURCE1} \
  %{buildroot}%{_kde4_datadir}/xsessions/plasma-active.desktop


%files
%doc readme.txt
%{_kde4_bindir}/setup-kde-skel
%{_kde4_bindir}/startactive
%{_kde4_bindir}/startactive.bin
%{_kde4_appsdir}/ksplash/Themes/qmldefault/
%{_kde4_appsdir}/startactive/
%{_kde4_datadir}/xsessions/plasma-active.desktop


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3-6
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 27 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3-1
- 0.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 27 2012 Radek Novacek <rnovacek@redhat.com> 0.2-3
- Create xsession desktop file

* Mon Feb 27 2012 Radek Novacek <rnovacek@redhat.com> 0.2-2
- Fix path to libexec binaries
- Disable setup-contour-intro module

* Sun Feb 19 2012 Jaroslav Reznik <jreznik@redhat.com> - 0.2-1
- initial try

